<template>
  <div class="databaseMonitoring_box">
    <iframe
      id="iframe"
      :src="sql_Url"
      height="98%"
      width="100%"
      frameborder="0"
    ></iframe>
  </div>
</template>

<script>
import MyBread from '../../components/MyBread.vue';
import { getToken } from '../../utils/auth.js';
export default {
  //import引入的组件需要注入到对象中才能使用
  components: {
    MyBread,
  },
  data() {
    //这里存放数据
    return {
      sql_Url: '',
    };
  },
  //方法集合
  methods: {
    handleSelectionChange() { },
    getUrl() {

      if (this.$store.state.iframeMsg.indexOf('token=') != -1) {
        this.sql_Url = this.$store.state.iframeMsg + getToken();
      } else {
        this.sql_Url = this.$store.state.iframeMsg;
      }
    },
  },
  created() {
    this.getUrl();
  },
  mounted() { },
};
</script>
<style lang="less" scoped>
//@import url(); 引入公共css类
.databaseMonitoring_box {
  height: 98%;
  width: 98%;
  padding: 1%;
  position: absolute;
}
</style>
